type: prog

niveau: défi

titre: Voyage au soleil


objectif: Déterminer le montant d'un voyage pour groupe avec rabais conditionnels

énoncé: |
  Une agence de voyage a lancé un forfait avantageux consistant en un voyage et séjour tout compris vers une destination soleil.

  Le __prix pour une semaine__ est de __1000$__ taxes incluses __par personne__, avec un __rabais__ de __10%__ lorsqu’il s’agit d’une commande d’un groupe de plus de __4__ personnes.

  De plus, un rabais de __5%__ du montant est offert lorsque le séjour est __plus d’une semaine__ quelque soit le nombre de personnes (il s’appliquera au résultat du 1er rabais s’il y est).

  On souhaite déterminer le __prix par personne__ du voyage selon le __nombre de personnes__ du groupe et le __nombre de semaines__ de leur séjour, reçus en entrée.


    ### Entrées
  - nombre de personnes : du groupe (nombre entier)
  - nombre de semaines : du séjour (nombre entier)

  ### Sortie attendue

  Le prix du voyage par personne (nombre réel)

  ### À faire :

  Compléter le code afin de produire en sortie le __prix__ du voyage __par personne__.

  ### Exemples

  1. Petit séjour sans rabais

   - Entrées :
  ```
      1
      1

  ```

   - Sortie attendue :
  ```
      1000.0

  ```

  2. Séjour avec rabais

    - Entrées :
  ```
      5
      2

  ```

    - Sortie attendue :
  ```
      1710.0

  ```

ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Génial !
    négative: Tu peux essayer de construire plusieurs structures conditionnelles en séquence.

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

uuid: e04729ff-8f8a-4780-a28c-b572a7c4f23d
